FLANG

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
Fortran::runtime::io::FormatControl< CONTEXT > Class Template Reference

## Public Types
using | Context = CONTEXT
using | CharType = typename Context::CharType

## Public Member Functions
| FormatControl (const Terminator &, const CharType *format, std::size_t formatLength, int maxHeight=maxMaxHeight)
DataEdit | GetNextDataEdit (Context &, int maxRepeat=1)
void | Finish (Context &)

## Static Public Member Functions
static int | GetMaxParenthesisNesting (IoErrorHandler &, const CharType *format, std::size_t formatLength)
static std::size_t | GetNeededSize (int maxHeight)

The documentation for this class was generated from the following files:

- runtime/format.h
- runtime/format-implementation.h